"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.QueryBuilder = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _QueryBuilderInsert = require("./QueryBuilderInsert");

var _QueryBuilderSelect = require("./QueryBuilderSelect");

var _QueryBuilderUpdate = require("./QueryBuilderUpdate");

var _QueryBuilderDelete = require("./QueryBuilderDelete");

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var QueryBuilder = exports.QueryBuilder = function () {
    function QueryBuilder() {
        _classCallCheck(this, QueryBuilder);
    }

    _createClass(QueryBuilder, [{
        key: "insert",
        value: function insert() {
            return new _QueryBuilderInsert.QueryBuilderInsert();
        }
    }, {
        key: "select",
        value: function select() {
            return new _QueryBuilderSelect.QueryBuilderSelect();
        }
    }, {
        key: "update",
        value: function update() {
            return new _QueryBuilderUpdate.QueryBuilderUpdate();
        }
    }, {
        key: "delete",
        value: function _delete() {
            return new _QueryBuilderDelete.QueryBuilderDelete();
        }
    }]);

    return QueryBuilder;
}();