"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.QueryBuilderSelect = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _QueryBuilderQueries2 = require("./QueryBuilderQueries");

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var QueryBuilderSelect = function (_QueryBuilderQueries) {
    _inherits(QueryBuilderSelect, _QueryBuilderQueries);

    function QueryBuilderSelect() {
        _classCallCheck(this, QueryBuilderSelect);

        var _this = _possibleConstructorReturn(this, (QueryBuilderSelect.__proto__ || Object.getPrototypeOf(QueryBuilderSelect)).call(this));

        _this.fields = [];
        _this._limit;
        _this._offset;
        return _this;
    }

    _createClass(QueryBuilderSelect, [{
        key: "set",
        value: function set() {
            var _arguments = arguments,
                _this2 = this;

            Object.keys(arguments).map(function (key) {
                return _arguments[key];
            }).forEach(function (field) {
                return _this2.fields.push(field);
            });

            return this;
        }
    }, {
        key: "limit",
        value: function limit(_limit) {
            this._limit = _limit;
            return this;
        }
    }, {
        key: "offset",
        value: function offset(_offset) {
            this._offset = _offset;
            return this;
        }
    }, {
        key: "parse",
        value: function parse() {
            return {
                type: "LIST",
                at: this.collection,
                fields: this.fields.length ? this.fields : null,
                filters: this._where,
                limit: this._limit,
                offset: this._offset
            };
        }
    }]);

    return QueryBuilderSelect;
}(_QueryBuilderQueries2.QueryBuilderQueries);

exports.QueryBuilderSelect = QueryBuilderSelect;